Bug 117849 - [PATCH] devel/distcc: Fix segfault due to pthread linking
Summary: [PATCH] devel/distcc: Fix segfault due to pthread linking
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-05 18:40 UTC by Robert Noland
Modified: 2008-01-11 17:30 UTC (History)
1 user (show)

See Also:


Attachments
distcc-gnome-2.18.3_8.patch (909 bytes, patch)
2007-11-05 18:40 UTC, Robert Noland
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Noland 2007-11-05 18:40:00 UTC
Configure is incorrectly linking in PTHREAD_LIBS, causing segfault at startup.

Port maintainer (ahze@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 rnoland 2007-11-05 20:22:45 UTC
The linking issue is introduced with the avahi patch...

robert.

-- 
Robert Noland <rnoland@internap.com>
Comment 2 Edwin Groothuis freebsd_committer 2007-11-05 22:56:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahze

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Coleman Kane 2007-11-12 15:05:15 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I can verify that I was also experiencing this problem. The patch
supplied in this PR works for me and I can use distccd again without
the segfault. This was on FreeBSD/amd64 8-CURRENT.

- --
Coleman Kane

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD4DBQFHOGurcMSxQcXat5cRAnKZAJ9N7vyDZGuimlVSEKAdCfgDqio3tQCY+mcq
jO8wiPBZW99PgZ+gatSKfg==
=OC0M
-----END PGP SIGNATURE-----
Comment 4 dfilter service freebsd_committer 2008-01-08 16:42:31 UTC
ahze        2008-01-08 16:42:20 UTC

  FreeBSD ports repository

  Modified files:
    finance/gnucash      Makefile distinfo pkg-plist 
  Log:
  Update to 2.2.2
  
  PR:             ports/117849
                  ports/118968
  Submitted by:   Robert Noland
                  Kuang-che Wu
  
  Revision  Changes    Path
  1.106     +1 -2      ports/finance/gnucash/Makefile
  1.37      +3 -3      ports/finance/gnucash/distinfo
  1.42      +34 -0     ports/finance/gnucash/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Michael Johnson freebsd_committer 2008-01-11 17:27:28 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 dfilter service freebsd_committer 2008-01-11 17:29:11 UTC
ahze        2008-01-11 17:29:07 UTC

  FreeBSD ports repository

  Modified files:
    devel/distcc         Makefile 
  Log:
  Pass PTHREAD_LIBS to configure script to fix segfault when used with avahi
  
  PR:             ports/117849
  Submitted by:   Robert Noland
  
  Revision  Changes    Path
  1.56      +3 -2      ports/devel/distcc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"